C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Keys.CustomSigning.GetAsync();
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Keys.CustomSigning.Get(
context.TODO(),
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.keys().customSigning().get();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->keys->customSigning->get();from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.keys.custom_signing.get()require "auth0"
client = Auth0::Management.new(token: "<token>")
client.keys.custom_signing.getimport { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.keys.customSigning.get();
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.keys.customSigning.get();
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/keys/custom-signing \
--header 'Authorization: Bearer <token>'{
"keys": [
{
"kid": "<string>",
"use": "sig",
"key_ops": [
"verify"
],
"n": "<string>",
"e": "<string>",
"x": "<string>",
"y": "<string>",
"x5u": "<string>",
"x5c": [
"<string>"
],
"x5t": "<string>",
"x5t#S256": "<string>"
}
]
}Get custom signing keys
Get entire jwks representation of custom signing keys.
GET
https://{tenantDomain}/api/v2
/
keys
/
custom-signing
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Keys.CustomSigning.GetAsync();
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Keys.CustomSigning.Get(
context.TODO(),
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.keys().customSigning().get();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->keys->customSigning->get();from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.keys.custom_signing.get()require "auth0"
client = Auth0::Management.new(token: "<token>")
client.keys.custom_signing.getimport { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.keys.customSigning.get();
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.keys.customSigning.get();
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/keys/custom-signing \
--header 'Authorization: Bearer <token>'{
"keys": [
{
"kid": "<string>",
"use": "sig",
"key_ops": [
"verify"
],
"n": "<string>",
"e": "<string>",
"x": "<string>",
"y": "<string>",
"x5u": "<string>",
"x5c": [
"<string>"
],
"x5t": "<string>",
"x5t#S256": "<string>"
}
]
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Custom signing keys were successfully retrieved.
JWKS representing an array of custom public signing keys.
An array of custom public signing keys.
Show child attributes
Show child attributes
Was this page helpful?
⌘I